## ocamlfuse 2.7.1

=== example/Makefile ===
.PHONY: default clean

default:
	make -f Makefile.fusexmp
	make -f Makefile.hello

clean:
	make -f Makefile.fusexmp clean
	make -f Makefile.hello clean

fusexmp:
	make -f Makefile.fusexmp

hello:
	make -f Makefile.hello

=== lib/Makefile ===
OCAMLMAKEFILE=../OCamlMakefile

SOURCES=Result.ml Unix_util.ml Unix_util_stubs.c Fuse_bindings.idl Fuse_util.c Fuse_lib.ml Fuse.ml
RESULT=Fuse
LIBS=bigarray
CLIBS=fuse
OCAMLLDFLAGS=-linkall
THREADS=threads
TRASH=*~ \\\#*
CFLAGS+=-D_FILE_OFFSET_BITS=64 -I. -pthread

LIBINSTALL_FILES=Fuse.a Fuse.cma Fuse.cmi Fuse.mli Fuse.cmxa Fuse_bindings.cmi Fuse_lib.cmi Unix_util.cmi dllFuse_stubs.so libFuse_stubs.a
ifndef OCAML_LIB_INSTALL
	OCAML_LIB_INSTALL=$(OCAMLLIBPATH)/site-packages/ocamlfuse
endif

all: native-code-library byte-code-library

install: libinstall
uninstall: libuninstall

-include $(OCAMLMAKEFILE)

## ocamlfuse 2.7.1-csv

=== debian/changelog ===
ocamlfuse (2.7.1-csv-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 17 Jul 2016 15:12:51 -0700

ocamlfuse (2.7.1-csv-0ubuntu7) xenial; urgency=low

  * No-change port to xenial.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 11 Apr 2016 22:33:51 +0200

ocamlfuse (2.7.1-csv-0ubuntu6) wily; urgency=low

  * No-change port to wily.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 29 Nov 2015 21:25:53 +0100

ocamlfuse (2.7.1-csv-0ubuntu5) vivid; urgency=low

  * No-change port to vivid.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 30 Apr 2015 21:32:38 +0200

ocamlfuse (2.7.1-csv-0ubuntu4) utopic; urgency=low

  * No-change port to utopic.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 10 Nov 2014 23:22:38 +0100

ocamlfuse (2.7.1-csv-0ubuntu3) trusty; urgency=low

  * No-change port to trusty.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 05 Apr 2014 11:58:10 +0200

ocamlfuse (2.7.1-csv-0ubuntu2) saucy; urgency=low

  * No-change port to saucy.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 18 Oct 2013 17:47:10 +0200

ocamlfuse (2.7.1-csv-0ubuntu1) raring; urgency=low

  * Initial release.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 06 Sep 2013 16:34:22 +0200

=== debian/control ===
Source: ocamlfuse
Section: ocaml
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
Build-Depends:
  debhelper (>= 8.0.0),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.12.0~),
# virtual package provided by ocaml-nox
#  ocaml-best-compilers,
  ocaml-findlib,
  camlidl,
  libfuse-dev (>= 2.7)
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/apps/mediawiki/ocamlfuse

Package: libfuse-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for FUSE (Filesystem in UserSpacE)
 This package contains the development files of the ocamlfuse library.

Package: libfuse-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for FUSE (Filesystem in UserSpacE)
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	true

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make -C lib

.PHONY: override_dh_auto_test
override_dh_auto_test:
	true

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	make -C lib install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	make -C lib clean

.PHONY: override_dh_ocaml
override_dh_ocaml:
	dh_ocaml --nodefined-map libfuse-ocaml-dev:Bigarray

## ocamlfuse 2.7.1-cvs6

=== debian/changelog ===
ocamlfuse (2.7.1-cvs6-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Oct 2019 19:54:14 -0700

ocamlfuse (2.7.1-cvs6-0ubuntu3) eoan; urgency=low

  * No change port to eoan

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 23 Jun 2019 18:13:49 +0200

ocamlfuse (2.7.1-cvs6-0ubuntu2) disco; urgency=low

  * No change port to disco

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 28 Mar 2019 21:31:46 +0100

ocamlfuse (2.7.1-cvs6-0ubuntu1) cosmic; urgency=low

  * Switch to dune build system

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 10 Feb 2019 21:06:18 +0100

ocamlfuse (2.7.1-cvs4-0ubuntu5) cosmic; urgency=low

  * No change port to cosmic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 06 Aug 2018 10:17:11 +0200

ocamlfuse (2.7.1-cvs4-0ubuntu4) bionic; urgency=low

  * No change port to bionic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 13 Jan 2018 12:31:49 +0100

ocamlfuse (2.7.1-cvs4-0ubuntu3) artful; urgency=low

  * No change port to artful.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 10 Aug 2017 13:33:56 +0200

ocamlfuse (2.7.1-cvs4-0ubuntu2) zesty; urgency=low

  * No change port to zesty.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 25 Apr 2017 11:11:25 +0200

ocamlfuse (2.7.1-cvs4-0ubuntu1) yakkety; urgency=low

  * Fix typo in package name

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 04 Dec 2016 22:58:48 +0100

ocamlfuse (2.7.1-csv4-0ubuntu1) yakkety; urgency=low

  * Bugfix release.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 28 Nov 2016 22:42:55 +0100

ocamlfuse (2.7.1-csv3-0ubuntu1) yakkety; urgency=low

  * Bugfix release.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 27 Nov 2016 23:16:03 +0100

ocamlfuse (2.7.1-csv-0ubuntu8) yakkety; urgency=low

  * No-change port to yakkety.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 15 Oct 2016 16:05:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ocamlfuse
 Section: ocaml
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
 Build-Depends:
-  debhelper (>= 8.0.0),
+  debhelper (>= 9),
   dh-ocaml (>= 0.9~),
   ocaml-nox (>= 3.12.0~),
-# virtual package provided by ocaml-nox
-#  ocaml-best-compilers,
+  ocaml-best-compilers,
   ocaml-findlib,
-  camlidl,
-  libfuse-dev (>= 2.7)
-Standards-Version: 3.9.5
+  camlidl (>= 1.0.5-16build1~),
+  libfuse-dev (>= 2.7),
+  dune (>= 1.6.0),
+  libdune-ocaml-dev (>= 1.6.0),
+  pkg-config
+Standards-Version: 3.9.7
 Homepage: http://sourceforge.net/apps/mediawiki/ocamlfuse
 
 Package: libfuse-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	true

override_dh_auto_build:
	dune build -p ocamlfuse

override_dh_auto_test:
	true

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	cp -rLv _build/install/default/lib/ocamlfuse '$(OCAMLFIND_DESTDIR)'
	cp -rLv _build/install/default/lib/stublibs '$(OCAMLFIND_DESTDIR)'
	find '$(OCAMLFIND_DESTDIR)' -name '*.ml' -delete
	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	rm -rf _build/

override_dh_ocaml:
	dh_ocaml --nodefined-map libfuse-ocaml-dev:Bigarray

## ocamlfuse 2.7.1-cvs7

=== debian/changelog ===
ocamlfuse (2.7.1-cvs7-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux 23.
  * Bump minver of camlidl to the modified 1.11-2~.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 12:00:42 -0700

ocamlfuse (2.7.1-cvs7-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Dec 2022 15:55:53 -0800

ocamlfuse (2.7.1-cvs7-0ubuntu6) kinetic; urgency=low

  * No-change port to kinetic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 14 Nov 2022 21:44:00 +0100

ocamlfuse (2.7.1-cvs7-0ubuntu5) jammy; urgency=low

  * Recompile with ocaml 4.13.1

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 17 Jun 2022 21:10:07 +0200

ocamlfuse (2.7.1-cvs7-0ubuntu4) jammy; urgency=low

  * No-change port to jammy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 18 Mar 2022 18:59:00 +0100

ocamlfuse (2.7.1-cvs7-0ubuntu3) jammy; urgency=low

  * No-change port to jammy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 24 Feb 2022 20:19:01 +0100

ocamlfuse (2.7.1-cvs7-0ubuntu2) impish; urgency=low

  * No-change port to impish

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 23 Oct 2021 20:01:07 +0200

ocamlfuse (2.7.1-cvs7-0ubuntu1~ubuntu21.04.1) hirsute; urgency=low

  * No-change backport to hirsute

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 17 Apr 2021 22:00:33 +0200

ocamlfuse (2.7.1-cvs7-0ubuntu1) focal; urgency=low

  * New upstream release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 21 Sep 2020 19:46:57 +0200

ocamlfuse (2.7.1-cvs6-0ubuntu4) focal; urgency=low

  * No change port to focal

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 01 Mar 2020 16:40:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/ocaml/ocamlvars.mk
 
 OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
@@ -17,15 +18,19 @@
 %:
 	dh $@ --with ocaml
 
+.PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	true
 
+.PHONY: override_dh_auto_build
 override_dh_auto_build:
 	dune build -p ocamlfuse
 
+.PHONY: override_dh_auto_test
 override_dh_auto_test:
 	true
 
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	cp -rLv _build/install/default/lib/ocamlfuse '$(OCAMLFIND_DESTDIR)'
@@ -33,11 +38,14 @@
 	find '$(OCAMLFIND_DESTDIR)' -name '*.ml' -delete
 	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete
 
-override_dh_install:
-	dh_install --fail-missing
-
+.PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	rm -rf _build/
 
+.PHONY: override_dh_ocaml
 override_dh_ocaml:
 	dh_ocaml --nodefined-map libfuse-ocaml-dev:Bigarray
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
